Subject: Re: [urn] Wording draft-ietf-urnbis-semantics-clarif-00.txt

From: Peter Saint-Andre - &yet <[email-masked]>
Date: Wed, 15 Oct 2014 12:19:02 -0700

On 9/5/14, 11:37 PM, John C Klensin wrote:
>
> --On Friday, September 05, 2014 16:52 -0400 "Dale R. Worley"
> <[email-masked]> wrote:

<snip/>

>> This goes back to the fact that we've been sloppy about the
>> distinction between "URN" (per RFC 3986, things that have the
>> "name" properties, that is, "identifiers" in Juha's
>> terminology), and things with the scheme "urn".
>
> This issue was also addressed in that earlier thread, although
> less directly so.  I intentionally did not include it in Section
> 6 and left out precisely because it relates to what this
> document says (relevant only if we are going to publish it)
> rather than the core substance of the WG's work.  As illustrated
> by the thread Leslie started, both she and I (and, I believe
> from earlier threads and discussions) believe that the language
> of 3986 that says there are URNs that don't follow the "urn:"
> scheme is undesirable and has little value unless the goal is to
> create confusion.  At least in retrospect, it probably should
> have said something more like "there are names and naming system
> that may be URIs but are not URNs".   The WG needs to decide
> whether it wants to address that topic, whether it wants to
> address it in a successor to this document and, if so, what it
> wants to say.   The current draft intended to sidestep the
> issue.  Another alternative would be to "update" it out of 3986
> but it is hard to do that without formally criticizing 3986.
> Such criticisms seem to be painful out of proportion to their
> value in moving the present URN work forward.   Then we can make
> any documents we intend to publish consistent with that decision.

Although I agree that it's useful to limit URNs to things that follow 
the URI syntax and begin with the "urn:" scheme (calling nothing else a 
URN even if it feels like a name), I don't think it's a good idea to 
spend this working group's limited energy in fighting the battle of 
changing RFC 3986 on this point.

Peter

--
Peter Saint-Andre
https://andyet.com/

-- 
Peter Saint-Andre
https://andyet.com/

---

From: John C Klensin <[email-masked]>
Date: Wed, 15 Oct 2014 21:26:05 -0400

--On Wednesday, October 15, 2014 12:19 -0700 Peter Saint-Andre -
&yet <[email-masked]> wrote:

>> less directly so.  I intentionally did not include it in
>> Section 6 and left out precisely because it relates to what
>> this document says (relevant only if we are going to publish
>> it) rather than the core substance of the WG's work.  As
>> illustrated by the thread Leslie started, both she and I
>> (and, I believe from earlier threads and discussions) believe
>> that the language of 3986 that says there are URNs that don't
>> follow the "urn:" scheme is undesirable and has little value
>> unless the goal is to create confusion.  At least in
>> retrospect, it probably should have said something more like
>> "there are names and naming system that may be URIs but are
>> not URNs".   The WG needs to decide whether it wants to
>> address that topic, whether it wants to address it in a
>> successor to this document and, if so, what it wants to say.
>> The current draft intended to sidestep the issue.  Another
>> alternative would be to "update" it out of 3986 but it is
>> hard to do that without formally criticizing 3986. Such
>> criticisms seem to be painful out of proportion to their
>> value in moving the present URN work forward.   Then we can
>> make any documents we intend to publish consistent with that
>> decision.
> 
> Although I agree that it's useful to limit URNs to things that
> follow the URI syntax and begin with the "urn:" scheme
> (calling nothing else a URN even if it feels like a name), I
> don't think it's a good idea to spend this working group's
> limited energy in fighting the battle of changing RFC 3986 on
> this point.

I hope it has been clear that I completely agree.  I think the
WG should be concentrating on the requirements for what it needs
and the syntax (within the boundaries of URIs as specified in
3986) and semantics those requirements dictate and fighting as
few battles with, or over, 3986 as possible.   I think that
requires saying that the only URNs that are in scope for the WG
are those that use the "urn:" URI scheme.  Anything else is, as
the saying goes, Someone Else's Problem.

    john